Package org.eclipse.mat.internal.collectionextract

# Class WrapperFieldCollectionExtractor

java.lang.Object
org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor
org.eclipse.mat.internal.collectionextract.WrapperFieldCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

public class WrapperFieldCollectionExtractor extends WrapperCollectionExtractor

## Constructor Summary

Constructors
Constructor
Description
`WrapperFieldCollectionExtractor(String field, String entryfield)`
`WrapperFieldCollectionExtractor(String field, String entryfield, ICollectionExtractor extractor)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`extractEntryIds(IObject coll)`
Returns the object ids (int) for all objects which are contained in the collection
`boolean`
`hasExtractableArray()`
Return true if the collection array based and the array can be extracted from the heap dump

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperFieldCollectionExtractor

public WrapperFieldCollectionExtractor(String field, String entryfield)

### WrapperFieldCollectionExtractor

public WrapperFieldCollectionExtractor(String field, String entryfield, ICollectionExtractor extractor)

## Method Details

### extractEntryIds

public int[] extractEntryIds(IObject coll) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `WrapperCollectionExtractor`
Parameters:
  `coll` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasExtractableContents()`

### hasExtractableArray

public boolean hasExtractableArray()
Description copied from interface: `ICollectionExtractor`
Return true if the collection array based and the array can be extracted from the heap dump

Specified by:
  `hasExtractableArray` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableArray` in class `WrapperCollectionExtractor`
Returns:
  true if `ICollectionExtractor.extractEntries(IObject)` could be called
See Also:
  - `ICollectionExtractor.extractEntries(IObject)`